Bug 52640 - ide device names change(disappear?) after upgrade to kernel 2.4.3-12
ide device names change(disappear?) after upgrade to kernel 2.4.3-12
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-27 11:57 EDT by Don Himelrick
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
boot messages from working kernel 2.4.2-2 and lilo.conf (2.71 KB, text/plain)
2001-08-27 22:53 EDT, Don Himelrick
no flags Details

  None (edit)
Description Don Himelrick 2001-08-27 11:57:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)

Description of problem:
Fresh install of 7.1, with updates on FIC SD11 MB with Athalon 600 and
extra promise ultra66 udma ide controller.  New kernel 2.4.3-12 from redhat
panics on boot with messages that /dev/hdg id now /dev/hdc, can't find root
device, driver not present for /dev/hdg and lots of other stuff.  Works
fine with kernel 2.4.2-2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install RH7.1 (works fine)
2.Upgrade kernel to 2.4.3-12.rpm (or 2.4.7 from rawhide)
3.Try booting new kernel

Actual Results:  ide devices get whacked

Expected Results:  I expected my ide device names to stay the same.  They
are different, possibly missing?

Additional info:

Here's the setup:
   hda = WD172AA 17 Gig 
   hdb = no device

   hdc = Mitsumi CDROM
   hdd = no device

ide2(offboard promise ultra66)
   hde = LiteOn CDRW
   hdf = ZIP 100

ide3(offboard promise ultra66)
   hdg = IBM 30 Gig
   hdh = no device

I suspect that some of the ide controllers are not being detected, hence
the change in device names.  The kernel produces tons of messages about
/dev/md0, among others, that all scroll off the screen.  I will gladly
provide these if you can tell me how to capture them. I can't find them in
dmesg or messages.  Otherwise I will just type up what is left on the
screen when the kernel panics.  Right now I can't tell if the devices are
detected, then dropped (udma problem?), or just not detected at all.  The
one thing I've tried so far is ide=nodma at the lilo prompt, and this
didn't work.
Comment 1 Don Himelrick 2001-08-27 22:53:17 EDT
Created attachment 29815 [details]
boot messages from working kernel 2.4.2-2 and lilo.conf
Comment 2 Don Himelrick 2001-08-27 23:07:13 EDT
*** See attachment ***
Is the way the new kernel ide drivers handle disk geometry different?  It seems
with the lilo append line I'm using for the new kernel, with the geometry that
is reported by the working old kernel, that everything "works" except for hdg.
The new kernel reports that hdg has a bad superblock, has a read error, etc.,
and then panics.

-If I probe hdg, the kernel panics with no device driver for hdg.

-If I don't probe, the same.

-If I don't probe AND specify geometry, the kernel finds the device and gives a
read error.

If someone could tell me how to capture dmesg from a bombed (at boot) kernel, I
sure would be  happpy :)
Comment 3 Bugzilla owner 2004-09-30 11:39:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.